Opened 12 years ago

Closed 12 years ago

Last modified 12 years ago

#17115 closed defect (fixed)

deluge install error

Reported by: mau_hernandez@… Owned by: MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)
Priority: Normal Milestone:
Component: ports Version: 1.6.0
Keywords: Cc: jmroot (Joshua Root)
Port: deluge

Description (last modified by blb@…)

I encountered the following errors after running command sudo port install deluge... pls help?

Error: Target org.macports.activate returned: Image error: /opt/local/bin/a2p is being used by the active perl5.8 port.  Please deactivate this port first, or use the -f flag to force the activation.
Error: The following dependencies failed to build: librsvg libgsf gnome-vfs gconf gtk2 shared-mime-info intltool perl5 tiff orbit2 libidl gnome-mime-data openssl libbonobo py25-gtk libglade2 py25-cairo py25-numpy fftw-3 py25-hashlib py25-nose py25-setuptools py25-zlib py25-xdg
Error: Status 1 encountered during processing.

Change History (6)

comment:1 Changed 12 years ago by mau_hernandez@…

Cc: mau_hernandez@… added

Cc Me!

comment:2 Changed 12 years ago by blb@…

Cc: mcalhoun@… added; mau_hernandez@… removed
Description: modified (diff)

"...being used by the active perl5.8 port... perl5..." so something is wanting perl5 even though you already have perl5.8 installed. mcalhoun, shouldn't all references to perl5 have been with a path: dependency?

comment:3 Changed 12 years ago by jmroot (Joshua Root)

Cc: jmr@… added
Port: deluge added

Try: sudo port uninstall perl5 && sudo port selfupdate

I suspect you have a slightly outdated autoconf portfile which is causing this. See #16830.

comment:4 Changed 12 years ago by MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)

Cc: mcalhoun@… removed
Owner: changed from macports-tickets@… to mcalhoun@…

I tried to install deluge on a clean machine.
Although I haven't reached the error yet (boost is a big project), I think the following will solve the problem:

sudo port selfupdate
sudo port uninstall perl5
sudo port install perl5.8
sudo port install deluge

The following seems to have happened:

  • There was no perl installed when the command sudo port install deluge was run
  • One of the required ports depended on path:bin/perl:perl5 so MacPorts listed per5 as a dependency
  • Another of the required ports depended on either path:bin/perl:perl5.8 or port:perl5.8, so MacPorts listed perl5.8 as a dependency.

Let me know if this does not work.

comment:5 Changed 12 years ago by MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)

Resolution: fixed
Status: newclosed

It seems that the proposed fix worked, so I will close this ticket.

comment:6 Changed 12 years ago by (none)

Milestone: Port Bugs

Milestone Port Bugs deleted

Note: See TracTickets for help on using tickets.